---
include:
  - remote: https://just-ci.gitlab.io/jobs/v6.16.1/project-automation/workflow.yml

summary:
  stage: .pre
  image: registry.gitlab.com/just-ci/tools/gitlab-project-summary:v1.0.7
  script:
    - python3 -m gitlab_project_summary
  artifacts:
    paths:
      - gitlab-project-summary.md
  rules:
    - if: $SUMMARY_CONFIG

summary:fix-config:
  stage: .pre
  image: docker.io/alpine:latest
  script:
    - |
      echo "[!] Set a protected SUMMARY_CONFIG File variable. Check out the README for instructions: https://gitlab.com/just-ci/tools/gitlab-project-summary"
    - exit 1
  rules:
    - if: $CI_COMMIT_REF_PROTECTED != "true || $SUMMARY_CONFIG"
      when: never
  allow_failure: true
